uniform sampler2D	texture_unit;

uniform float4		solid_color;

float4 main(float4 position : TEXCOORD0) : COLOR0
{
	return float4(solid_color.rgb, tex2D(texture_unit, position.xy).a*solid_color.a);
}
